<!DOCTYPE html>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width">
        <script src="lib/vue.min.js"></script>
        <script src="lib/lodash.min.js"></script>
        <script src="js/script.js"></script>
        <link rel="stylesheet" href="css/styles.css">
        <title>Gestionnaire de restaurants</title>
        <script src="https://cdn.jsdelivr.net/npm/sweetalert"></script>
        <script src="https://cdn.jsdelivr.net/npm/promise-polyfill@7.1.0/dist/promise.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/limonte-sweetalert2/7.29.2/sweetalert2.all.js"></script>
    </head>

    <body>
        <div class="container" id="app">
            <h1>Gestionnaire de restaurants</h1><br>
            <hr>
            <h3>Nombre des restaurants: {{nbRestaurants}}</h3>

            <!----------------------------------------Barre de taille du tableau---------------------------------------->
            <div class="rangeContainer">
                <p>
                    <input class="range" type="range"
                           v-on:input="getRestaurantsFromServer()"
                           value=10 min=2 max=100
                           v-model="pagesize"
                    >
                    <br><p style="text-align: center">Affichage par {{this.pagesize}}</p>
                </p>
            </div>

            <div class="haut">
                <div class="ajoutmodif">

                    <!----------------------------------------Formulaire d'ajout de restaurant---------------------------------------->
                    <div v-if="ajout_form">
                        <hr>
                        <form v-on:submit="ajouterRestaurant(event)" v-on:reset="resetform">
                            <p>Ajouter un restaurant</p>
                            <label>
                                Nom : <input class="text" type="text" v-mode="name" placeholder="Nom du restaurant" name="nom" required>
                            </label>
                            <label>
                                Cuisine : <input class="text" type="text" v-model="cuisine" placeholder="Type de cuisine" name="cuisine" required>
                            </label>
                            <button type="submit" class="buttonform">Ajouter</button>
                            <button type="reset" class="buttonform">Annuler</button>
                        </form>
                    </div>

                    <!----------------------------------------Formulaire de modification de restaurant---------------------------------------->
                    <div v-if="modif_form">
                        <hr>
                        <form  v-on:submit="envoiModificationRestaurant(event)" v-on:reset="resetform">
                            <p>Modifier un restaurant</p>
                            <label>
                                ID: <input class="text" type="text" v-model="id_modif" placeholder="id" name="_id" required>
                            </label>
                            <label>
                                Nom : <input class="text" type="text" v-model="name_modif" placeholder="Nom du restaurant" name="nom" required>
                            </label>
                            <label>
                                Cuisine : <input class="text" type="text" v-model="cuisine_modif" placeholder="Type de cuisine" name="cuisine" required>
                            </label>
                            <button type="submit" class="buttonform">Modifier</button>
                            <button type="reset" class="buttonform">Annuler</button>
                        </form>
                    </div>
                </div>

                <!----------------------------------------Recherche d'un restaurant par le nom---------------------------------------->
                <div class="searchContainer">
                    Rechercher un restaurant: <input type="text" class="text"
                           v-on:input="getRestaurantsFromServer()"
                           v-model="nomRecherche"
                           placeholder="Nom du restaurant">
                </div>
            </div>
            <div class="bas">

                <!----------------------------------------Boutons de selection des pages---------------------------------------->
                <div class="btnContainer">
                    <button class="btn"
                            v-bind:class="{invisible: this.page === 0}"
                            v-on:click="premierePage()"
                    > ▐◄ </button>
                    <button class="btn"
                            v-bind:class="{invisible: (this.page === 0)}"
                            v-on:click="pagePrecedente()"
                    > ◄ </button>
                    <button class="btns"
                            v-bind:class="{invisible: ((this.page + 1) <= 3)}"
                            v-on:click="selectionPage(-3)"
                    >{{this.page - 2}}</button>
                    <button class="btns"
                            v-bind:class="{invisible: ((this.page + 1) <= 2)}"
                            v-on:click="selectionPage(-2)"
                    >{{this.page - 1}}</button>
                    <button class="btns"
                            v-bind:class="{invisible: ((this.page + 1) <= 1)}"
                            v-on:click="selectionPage(-1)"
                    >{{this.page}}</button>
                    <a>Page: {{this.page + 1}}</a>
                    <button class="btns"
                            v-bind:class="{invisible: ((this.page + 1) > (nbPagesDeResultats -1))}"
                            v-on:click="selectionPage(1)"
                    >{{this.page + 2}}</button>
                    <button class="btns"
                            v-bind:class="{invisible: ((this.page + 2) > (nbPagesDeResultats -1))}"
                            v-on:click="selectionPage(2)"
                    >{{this.page + 3}}</button>
                    <button class="btns"
                            v-bind:class="{invisible: ((this.page + 3) > (nbPagesDeResultats -1))}"
                            v-on:click="selectionPage(3)"
                    >{{this.page + 4}}</button>
                    <button class="btn"
                            v-bind:class="{invisible: (this.page === (nbPagesDeResultats -1))}"
                            v-on:click="pageSuivante()"
                    > ► </button>
                    <button class="btn"
                            v-bind:class="{invisible: (this.page === (nbPagesDeResultats -1))}"
                            v-on:click="dernierePage()"
                    > ►▌ </button>
                </div>

                <!----------------------------------------Tableau des restaurants---------------------------------------->
                <table class="table">
                    <thead>
                        <th><a>
                            <img class="ico" src="add.png"
                                 v-on:click="formAjout()"
                            >
                        </a></th>
                        <th>id</th>
                        <th>Nom</th>
                        <th>Cuisine</th>
                    </thead>
                    <tbody>
                        <tr v-for="r,index in restaurants"
                        >
                            <td class="td1">
                                <a>
                                    <img class="ico" src="edit.png"
                                         v-on:click="modifierRestaurant(r)"
                                    >|
                                </a>
                                <a>
                                    <img class="ico" src="delete.png"
                                         v-on:click="supprimerRestaurant(r._id)"
                                    >
                                </a>
                            </td>
                            <td class="td2">
                                {{r._id}}
                            </td>
                            <td>
                                {{r.name}}
                            </td>
                            <td>{{r.cuisine}}</td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </body>
</html>